/*
    Document   : override
    Created on : <date>
    Author     : <author>
    Description:
        This is where any of your application specific styles should be included
*/

:root {
    --oj-form-layout-column-gutter: 10px;

    --oj-core-bg-color-selected: var(--oj-brand-color-light4);
    --oj-tab-bar-item-border-color-selected: var(--oj-brand-color);
    --oj-tab-bar-item-border-color-active: var(--oj-brand-color);
    --oj-core-border-color-selected: var(--oj-brand-color-dark2);
    --oj-button-borderless-chrome-text-color: var(--oj-brand-color);
    --oj-button-outlined-chrome-text-color: var(--oj-brand-color);
    --oj-button-solid-chrome-text-color: var(--oj-brand-color-light4);
    --oj-button-borderless-chrome-active-text-color: var(--oj-brand-color);
    --oj-button-borderless-chrome-hover-text-color: var(--oj-brand-color);

    /* Swith start */
    --oj-switch-track-bg-color-selected: var(--oj-brand-color);
    --oj-switch-track-border-color-selected: var(--oj-brand-color);
    --oj-switch-track-bg-color: var(--oj-brand-color);
    --oj-switch-track-border-color: var(--oj-brand-color);
    --oj-switch-track-bg-color-selected-hover: var(--oj-brand-color-dark2);
    --oj-switch-track-border-color-selected-hover: var(--oj-brand-color-dark2);
    --oj-switch-track-bg-color-hover: var(--oj-brand-color);
    --oj-switch-track-border-color-hover: var(--oj-brand-color);

    --oj-statusmeter-gauge-bar-lg-size: 18px;
    /* Swith end */

    --oj-radio-checkbox-input-color-selected: var(--oj-brand-color);
    --oj-collection-header-bg-color: var(--oj-brand-color);
    --oj-collection-header-text-color: var(--oj-brand-color-light4);
    --oj-collection-header-bg-color-hover: var(--oj-brand-color-dakr1);
    --oj-collection-header-bg-color-selected: var(--oj-brand-color);
    --oj-collection-header-font-size: 18px;
    --oj-collection-header-font-weight: light;

    /* Azul */
    --oj-brand-color-dark2: #2A2347;
    /* más oscuro, para headers/hover fuerte */
    --oj-brand-color-dark1: #372C5C;
    /* oscuro intermedio */
    --oj-brand-color: #4B3F7A;
    /* color base, tono del logo */

    --cyber-menu-width: 20px;
    --cyber-drawer-width: 250px;

    --oj-brand-color-light4: #e1eff8;
    --oj-brand-color-light1: rgb(141, 141, 141);
    --oj-brand-color-light2: rgb(255, 255, 255);
    --oj-brand-color-light3: rgb(252, 252, 252);
    --oj-brand-color-light5: rgb(0, 0, 0);
    --oj-brand-color-base1: #5780b3;
    --oj-brand-color-base2: #b1d0f5;

    /* Popup */
    --oj-popup-padding: 0px;

    --meet-border: #cbcccd;
    --meet-border-table: #b9b8b8;
    --meet-background-header: #f7f7f8;
    --meet-icon-color: var(--oj-brand-color);
    --meet-hover: #76b8e1;
    --meet-input-text-disable: #ededee;
    --meet-input-number-disable: #ededee;
    --opacity-fondo: .5;
    --image-background: '';
    --image-screen-saver: '';

    --meet-fondo-consulta: #eeeeee;

    --oj-button-text-to-edge-padding: 5px;

    /** Dialog - Pantalla de fondo */
    --oj-core-z-index-dialog: 5;
    --oj-private-icon-color-active: var(--oj-brand-color);

    --oj-navigation-list-item-label-color-selected: #FFFFFF;
    --oj-navigation-list-item-border-color-selected: var(--oj-brand-color-dark2);

    --meet-app-bar-height: 40px;

    --meet-lay-messages: 110000;

    --meet-table-row-selected: var(--oj-brand-color-light4);
    --meet-table-row-selected-deleted: rgb(211, 89, 89);

    --meet-dashboard-not-found: url('css/images/not-found.png');
}

* {
    outline: transparent !important;
}

.oj-form-layout .oj-form.oj-enabled .oj-text-field.oj-read-only .oj-text-field-container {
    border-width: var(--oj-text-field-border-width);
    border-color: var(--oj-text-field-border-color-disabled);
    background-color: var(--meet-fondo-consulta) !important;
    height: var(--oj-text-field-height);
}

/*.oj-button-nocomp.oj-button-full-chrome .oj-button-icon, .oj-button.oj-default.oj-button-full-chrome .oj-button-icon, .oj-button.oj-focus-only.oj-button-full-chrome .oj-button-icon {
  color: #8a8d8f !important;
}
*/

.oj-messages-layer {
    z-index: var(--meet-lay-messages) !important;
}

.oj-button-nocomp.oj-button-full-chrome .oj-button-icon,
.oj-button.oj-hover.oj-button-full-chrome .oj-button-icon,
.oj-button.oj-focus-only.oj-button-full-chrome .oj-button-icon {
    color: var(--oj-brand-color) !important;
}

.oj-listbox-result-label oj-option {
    width: 100% !important;
}

.oj-inputtext,
.oj-inputpassword,
.oj-textarea,
.oj-inputnumber,
.oj-inputdatetime,
.oj-searchselect {
    min-width: 1em !important;
}

.oj-tabbar-horizontal .oj-tabbar-item-element {
    margin-right: 0px !important;
}

/*
.oj-text-field.oj-text-field-label-inside .oj-text-field-container .oj-component-icon.oj-clickable-icon-nocontext:not(.oj-select-clear-entry-icon):not(.oj-combobox-clear-entry-icon):not(.oj-label-help-icon-anchor), .oj-text-field.oj-text-field-label-inside .oj-text-field-container .oj-clickable-icon-nocontext.oj-radiocheckbox-icon:not(.oj-select-clear-entry-icon):not(.oj-combobox-clear-entry-icon):not(.oj-label-help-icon-anchor), .oj-text-field.oj-text-field-label-inside .oj-text-field-container .oj-clickable-icon-nocontext.oj-menucheckbox-icon:not(.oj-select-clear-entry-icon):not(.oj-combobox-clear-entry-icon):not(.oj-label-help-icon-anchor) {
  color: #8a8d8f !important;
}
*/

.oj-form-layout .oj-form.oj-enabled .oj-text-field.oj-read-only .oj-text-field-middle {
    width: 1px !important;
}

.oj-form.oj-enabled .oj-user-assistance-inline-container.oj-efficient,
.oj-form-control:not(.oj-read-only):not(.oj-disabled) .oj-user-assistance-inline-container.oj-efficient {
    min-height: 0px !important;
}

.oj-dialog-content {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.oj-dialog {
    background: transparent !important;
}

.oj-dialog-header {
    padding: var(--oj-dialog-header-padding) !important;
    max-height: var(--oj-dialog-header-height) !important;
    min-height: var(--oj-dialog-header-height) !important;
    border: 1px var(--oj-brand-color) solid;
    align-items: center !important;
    background: var(--oj-brand-color) !important;
    opacity: 0.8;
    color: var(--oj-brand-color-light4) !important;
    font-size: medium !important;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.oj-dialog-header-close-wrapper {
    margin-block-start: 3px !important;
    margin-inline-end: 2px !important;
    border-radius: 5px;
}

.oj-dialog-header-close-wrapper span {
    color: var(--oj-brand-color-light4) !important
}

.oj-dialog-header-close-wrapper:hover {
    background: var(--oj-brand-color-dark2) !important;
}

.oj-dialog-header h1 {
    color: var(--oj-brand-color-light4) !important;
    font-weight: normal !important;
    font-size: var(--oj-dialog-header-font-size) !important;
}

.oj-message-status-icon.oj-message-info-icon {
    color: var(--oj-core-info-3) !important;
}

.oj-message-status-icon.oj-message-error-icon {
    color: var(--oj-core-danger-3) !important;
}

.oj-message-status-icon.oj-message-warning-icon {
    color: var(--oj-core-warning-3) !important;
}

.oj-message-status-icon.oj-message-confirmation-icon {
    color: var(--oj-core-success-3) !important;
}

.oj-form>.oj-flex>.oj-flex-item:not(.oj-formlayout-nested-formlayout):not(.oj-formlayout-nested-labelvalue) {
    margin: 0 0 2.5px 0;
}

oj-form-layout {
    margin-bottom: 5px;
}

.oj-form-control-inherit:not(.oj-form-control-default) .oj-form-control,
.oj-form-control-inherit:not(.oj-form-control-default) .oj-text-field {
    min-width: fit-content !important;
}

table.oj-table-element {
    min-width: 100%;
}

.oj-avatar-background-image {
    background-size: contain !important;
    background-position: center center;
    align-self: stretch;
    align-items: center;
    justify-content: center;
    display: flex;
    position: absolute;
    top: -1px;
    left: -1px;
    width: calc(100% + 2px);
    height: calc(100% + 2px);
    background-repeat: no-repeat !important;
}

.oj-filepicker-text {
    font-size: var(--oj-typography-body-xl-font-size);
    font-weight: bold;
    color: var(--oj-core-text-color-primary);
    margin-bottom: 6px;
    white-space: nowrap !important;
    overflow: hidden !important;
    flex-shrink: 0 !important;
    text-overflow: ellipsis !important;
    width: 240px !important;
}

.oj-filepicker-secondary-text {
    font-size: var(--oj-typography-body-sm-font-size) !important;
    line-height: var(--oj-typography-body-sm-line-height) !important;
    color: var(--oj-core-text-color-secondary) !important;
    white-space: nowrap !important;
    overflow: hidden !important;
    flex-shrink: 0 !important;
    text-overflow: ellipsis !important;
    width: 240px !important;
}

.oj-messaging-inline-container {
    height: 0px !important;
    max-height: 0px !important;
    min-height: 0px !important;
}

.oj-user-assistance-inline-container {
    height: 0px !important;
    max-height: 0px !important;
    min-height: 0px !important;
    margin: 0px !important;
}

.oj-helphints-inline-container {
    font-size: 0px !important;
}

.meet-button-dots:hover {
    background: var(--oj-brand-color-dark2);
    cursor: pointer;
}

.oj-form>.oj-flex>.oj-flex-item:not(.oj-formlayout-nested-formlayout):not(.oj-formlayout-nested-labelvalue) {
    padding: initial !important;
}

.oj-toolbar-separator {
    height: 28px !important;
    margin: 2px 0px 0px 0px Im !important;
}

.cyber-app-panel-content-unlimited {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 10px 6px 10px;
    height: fit-content;
    margin-right: 10px;
    width: calc(100% - 52px);
    margin-left: 20px;
}

.cyber-app-panel-content-limited {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 10px 6px 10px;
    max-height: 223px;
    margin-right: 10px;
    overflow-y: auto;
    width: calc(100% - 52px);
    margin-left: 20px;
}

.cyber-form {
    height: 100%;
    max-height: 100%;
    min-height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}

.cyber-form-modal {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    padding: 10px;
}

.cyber-form-modal-main {
    width: calc(100% - 42px);
    min-width: calc(100% - 42px);
    max-width: calc(100% - 42px);
    height: calc(100% - 90px);
    min-height: calc(100% - 90px);
    max-height: calc(100% - 90px);
    background: var(--oj-brand-color-light3);
    border: 1px solid var(--meet-border);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom: 0px;
    padding: 10px;
    overflow-y: auto !important;
}

.cyber-form-modal-content {
    background: var(--oj-brand-color-light2);
    border: 1px solid var(--meet-border);
    border-radius: 5px;
    height: calc(100% - 12px);
    max-height: calc(100% - 12px);
    width: calc(100% - 22px);
    width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    padding: 10px 10px 0px 10px;
    overflow-y: auto;
}

.cyber-form-modal-buttons {
    height: 50px;
    width: calc(100% - 20px);
    min-width: calc(100% - 20px);
    max-width: calc(100% - 20px);
    background: var(--oj-brand-color-light3);
    border: 1px solid var(--meet-border);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding: 0px 10px 0px 10px;
}